aboutsummaryrefslogtreecommitdiff
path: root/test/dev_test_suite.sh
diff options
context:
space:
mode:
authorPjotr Prins2018-12-10 08:52:31 +0000
committerPjotr Prins2018-12-10 08:52:31 +0000
commit8ffbaeecb613aed819c77992973ac065e8dfc9b0 (patch)
tree4d5514549be1c3e1f57457c8ee0c05ba0ccdeb64 /test/dev_test_suite.sh
parent48341d1af41607cbffc2dd0000ea760abe700f94 (diff)
downloadpangemma-8ffbaeecb613aed819c77992973ac065e8dfc9b0.tar.gz
Added test data for #188
Diffstat (limited to 'test/dev_test_suite.sh')
-rwxr-xr-xtest/dev_test_suite.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/test/dev_test_suite.sh b/test/dev_test_suite.sh
index 5a499a8..7ea0e57 100755
--- a/test/dev_test_suite.sh
+++ b/test/dev_test_suite.sh
@@ -81,6 +81,23 @@ testBXDLMMLikelihoodRatio() {
assertEquals "3088458212.93" `perl -nle 'foreach $x (split(/\s+/,$_)) { $sum += sprintf("%.2f",(substr($x,,0,6))) } END { printf "%.2f",$sum }' $outfn`
}
+testCenteredRelatednessMatrixissue188() {
+ outn=issue188
+ rm -f output/$outn.*
+ $gemma $gemmaopts -b data/issue188/2000 -gk -o $outn
+ assertEquals 0 $?
+ outfn=output/$outn.cXX.txt
+ assertEquals "193.80" `perl -nle 'foreach $x (split(/\s+/,$_)) { $sum += sprintf("%.2f",(substr($x,,0,6))) } END { printf "%.2f",$sum }' $outfn`
+}
+
+testLMMissue188() {
+ outn=issue188
+ $gemma $gemmaopts -b data/issue188/2000 -lmm 2 -k output/$outn.cXX.txt -maf 0.01 -o $outn -n 1
+ assertEquals 0 $?
+ outfn=output/$outn.assoc.txt
+ assertEquals "338154001.76" `perl -nle 'foreach $x (split(/\s+/,$_)) { $sum += sprintf("%.2f",(substr($x,,0,6))) } END { printf "%.2f",$sum }' $outfn`
+}
+
testCenteredRelatednessMatrixKLOCO1() {
outn=mouse_hs1940_LOCO1
rm -f output/$outn.*